Method: projects.locations.templates.patch

Updates a PromptTemplate.

HTTP request

PATCH https://firebasevertexai.googleapis.com/v1beta/{promptTemplate.name=projects/*/locations/*/templates/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
promptTemplate.name

string

Identifier. The resource name of the PromptTemplate. Format: projects/{project}/locations/{location}/templates/{promptTemplate}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

validateOnly

boolean

Optional. If set to true, the request will be validated but not executed.

allowMissing

boolean

Optional. If set to true and the PromptTemplate does not already exist, it will be created.

regionalPropagationDisabled

boolean

Optional. For global endpoints only. If true, the PromptTemplate will be updated in global only. Otherwise, the PromptTemplate will also be updated in all regions where applicable.

Request body

The request body contains an instance of PromptTemplate.

Response body

If successful, the response body contains an instance of PromptTemplate.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • firebasevertexai.promptTemplates.update

For more information, see the IAM documentation.